Ludia Forums

Kindle Fire Tablet Support

Are there any plans to add support for Amazon Kindle Fire Tablets?

Hey there, Hoksu1. I believe the device will need to be running Android version 5.1 and up.

The tablet is running the FireOS equivalent of Android 7. The app is not in the Amazon Appstore and the Google Play Store says it is not supported.

Hey Hoksu1. Sadly if that is the case, the device might not be supported. If there are any updates for changes on device compatibility, we’ll be sure to provide an announcement.

Thank you for your understanding.